body {
  background-color: #f6f6f6 !important;
}

/* index and admin css */
.container-itmes {
  box-shadow: 0px 0px 35px rgba(0, 0, 0, 0.2);
}

.form-text .heading {
  line-height: 1;
}

.container-itmes {
  min-width: 50vh;
}

/* admin-dashboard sidebar */
.sidebar-container {
  background-color: white;
  box-shadow: 2px 0px 5px rgba(0, 0, 0, 0.2);
  width: fit-content;
  height: 100vh;
  position: sticky;
  padding: 20px;
}

.sidebar-links .toggle-nav p {
  font-size: 3rem;
  font-weight: 600;
} 

.sidebar-links .toggle-nav .toggle-icon {
  display: none;
}

.sidebar-links ul {
  width: 100%;
  padding: 0;
  background-color: white;
}

.sidebar-links ul li {
  width: 100%;
  list-style: none;
  padding: 8px 0;
}


.sidebar-links .links-container {
  width: 100%;
  }

.sidebar-links ul li a {
  display: block;
  text-decoration: none;
  padding: 10px 50px;
  text-align: center;
  font-size: 16px;
  color: white;
  margin-bottom: 10px;
  margin-top: -1px;
}

.dashboard-container {
  width: 100%;
  display: flex;
  padding: 0;
  margin: 0;
}

.user-table td {
  width: 10% !important;
}

.table-head {
  width: max-content !important;
}

thead tr th {
  width: 200px !important;
}

.dataTables_empty {
  display: none;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}

.table-container {
  /*height: 100vh;*/
  width: 100%;
  overflow-y: auto;
  overflow-x: auto;
}

/* paginate data */
#data_paginate {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-bottom: 20px;
}

#data_paginate a {
  text-decoration: none !important;
  color: white !important;
  background-color: #0d6efd !important;
  padding: 5px 10px;
  margin: 0 5px;
  cursor: pointer;
}

#data_paginate .previous {
  border-radius: 10px 0 0 10px !important;
} 

#data_paginate .next {
  border-radius: 0 10px 10px 0 !important;
} 

/* for filter option */

#data_filter {
  float: right;
  margin-top: -25px;
}

.submit-status {
  padding: 20px 40px;
  text-align: center;
  width: fit-content;
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.3);
}

form span {
  font-size: 12px !important;
}

/* user excel file input */
.user-file {
  width: 100%;
  border: 2px dashed gray;
  background-color: transparent;
}

.user-file label {
  /* transform: translate(40%, 30%); */
  font-size: 20px;
  text-align: center;
}

.user-file input {
  padding: 60px 40px;
  border: none;
  outline: none;
  opacity: 1;
}


/* meadia break point at 600px */
@media only screen and (max-width: 655px) {
  .sidebar-container {
    width: 100%;
    height: 100%;
    padding: 0;
    margin-right: 0;
  }

  .sidebar-links .toggle-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px 20px;
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.2);
  }
 
.sidebar-links .toggle-nav p {
  font-size: 2rem;
  font-weight: 400;
}

  .sidebar-links .toggle-nav .toggle-icon {
    display: block;
  }

  .links-container ul {
    position: absolute;
    top: -350px;
    padding: 0;
    transition: 0.3s;
    z-index: -10;
  }

  .links-container .show {
    padding: 30px !important;
    top: 75px !important;
  }
  
.dashboard-container {
  display: block;
}

/* for filter option */

#data_filter {
  float: none !important;
  margin-top: 0 !important;
}

}